# OR21 - Accept or refuse order lines

DescriptionAccept or refuse order lines in the WAITING_ACCEPTANCE status
Error Codes| Code | Description |
|  --- | --- |
| ORDER_FULFILLED_UNAUTHORIZED | An unauthorized action has been requested on a fulfilled order |
| ORDER_INVALID_STATE | Order is not in the expected state for this operation |
| ORDER_LINE_ACCEPTANCE_DECISION_MISSING | Some order lines are missing from the acceptance decision |
| ORDER_LINE_DUPLICATE_ID | The order lines list contains duplicate order line IDs |
| ORDER_LINE_NOT_FOUND | The requested order line does not exist or is not associated with the order |
| ORDER_LINE_NULL_ELEMENT | The order lines list contains a null element |
| ORDER_NOT_FOUND | The requested order does not exist |
| ORDER_PARTIAL_ACCEPTANCE_DISABLED | Partial acceptance is disabled for this shop |
| VALIDATION_ERROR | Input validation failed |

Call FrequencyRecommended usage: At each new order on the MarketplaceMaximum usage: At each new order on the MarketplaceRead MoreMore context

Endpoint: PUT /api/orders/{order_id}/accept
Security: Shop-API-Key

## Security:

  - `Shop-API-Key` (unknown)
    apiKey in header Authorization scopes: ROLE_SHOP_ADMIN, ROLE_PARTNER_ORDER_ACCEPT

## Path parameters:

  - `order_id` (string, required)
    Order's identifier

## Query parameters:

  - `shop_id` (integer)
    Use this parameter when your user has access to several shops. If not specified, the shop_id from your default shop will be used.

## Request fields (application/json):

  - `order_lines` (array, required)
    List of representations of order line for acceptance

  - `order_lines.accepted` (boolean, required)
    Boolean indicating if the order line is accepted or refused

  - `order_lines.id` (string, required)
    Order line's identifier

## Request examples:

  - `Example with business values (application/json)` (unknown)

  - `Complete example with value types (application/json)` (unknown)

## Response 204:

  - `204` (unknown)
    No Content

